com.isbc.smartcard.esmarttoken.utils

## Enum TerminalUtilsImpl.CARDTYPE

- java.lang.Object
- - java.lang.Enum<TerminalUtilsImpl.CARDTYPE>
  - - com.isbc.smartcard.esmarttoken.utils.TerminalUtilsImpl.CARDTYPE

- All Implemented Interfaces:
    Serializable, Comparable<TerminalUtilsImpl.CARDTYPE>
  Enclosing class:
    TerminalUtilsImpl

      public static enum TerminalUtilsImpl.CARDTYPE
      extends Enum<TerminalUtilsImpl.CARDTYPE>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACOS5_32K`
    `ACOS5_64K`
    `ACOS5_64K_BC`
    `ESMART_TOKEN_GOST`
    `ESMART_TOKEN_MSKEY`
    `ESMART_TOKEN32K`
    `ESMART_TOKEN64K`
    `ESMART_TOKEN64K_BC`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TerminalUtilsImpl.CARDTYPE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TerminalUtilsImpl.CARDTYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final TerminalUtilsImpl.CARDTYPE UNKNOWN

    - #### ACOS5_32K

          public static final TerminalUtilsImpl.CARDTYPE ACOS5_32K

    - #### ACOS5_64K

          public static final TerminalUtilsImpl.CARDTYPE ACOS5_64K

    - #### ACOS5_64K_BC

          public static final TerminalUtilsImpl.CARDTYPE ACOS5_64K_BC

    - #### ESMART_TOKEN32K

          public static final TerminalUtilsImpl.CARDTYPE ESMART_TOKEN32K

    - #### ESMART_TOKEN64K

          public static final TerminalUtilsImpl.CARDTYPE ESMART_TOKEN64K

    - #### ESMART_TOKEN64K_BC

          public static final TerminalUtilsImpl.CARDTYPE ESMART_TOKEN64K_BC

    - #### ESMART_TOKEN_GOST

          public static final TerminalUtilsImpl.CARDTYPE ESMART_TOKEN_GOST

    - #### ESMART_TOKEN_MSKEY

          public static final TerminalUtilsImpl.CARDTYPE ESMART_TOKEN_MSKEY

  - ### Method Detail

    - #### values

          public static TerminalUtilsImpl.CARDTYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TerminalUtilsImpl.CARDTYPE c : TerminalUtilsImpl.CARDTYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TerminalUtilsImpl.CARDTYPE valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018. All rights reserved.